Contacts
Update contact comment
Update the content of an existing comment.
PATCH
/
orgs
/
{org_id}
/
contacts
/
{contact_id}
/
comments
/
{activity_id}
Update contact comment
curl --request PATCH \
--url https://api.useinvent.com/orgs/{org_id}/contacts/{contact_id}/comments/{activity_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"comment": "<string>",
"attachments": [
"<string>"
]
}
'import requests
url = "https://api.useinvent.com/orgs/{org_id}/contacts/{contact_id}/comments/{activity_id}"
payload = {
"comment": "<string>",
"attachments": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({comment: '<string>', attachments: ['<string>']})
};
fetch('https://api.useinvent.com/orgs/{org_id}/contacts/{contact_id}/comments/{activity_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"contact_id": "<string>",
"comment": "<string>",
"attachments": [
{
"id": "<string>",
"file_path": "<string>",
"file_filename": "document.pdf",
"file_size": 1024,
"file_mimetype": "application/pdf",
"file_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"actor": {
"id": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"avatar": "<string>",
"seen_at": "2023-11-07T05:31:56Z"
},
"agent": {
"id": "<string>",
"name": "<string>",
"icon": "<string>",
"color": "red",
"shape": "square",
"avatar_url": "<string>"
},
"assistant": {
"id": "<string>",
"name": "<string>",
"avatar_url": "<string>",
"deleted": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"message_id": "<string>",
"chat": {
"id": "<string>",
"title": "<string>",
"status": "RUNNING",
"created_at": "2023-11-07T05:31:56Z",
"state": {
"state": "OPEN",
"ai_enabled": true,
"admin_unseen_count": 123,
"muted_until": "2023-11-07T05:31:56Z",
"follow_up_at": "2023-11-07T05:31:56Z"
}
},
"metadata": {
"type": "contact_updated",
"changes": [
{
"key": "<string>",
"old_value": "<unknown>",
"new_value": "<unknown>"
}
]
}
}Authorizations
Bearer token authentication using your API key
Path Parameters
Org ID
Contact ID
Activity ID
Body
application/jsonmultipart/form-data
Response
200 - application/json
Schema for a contact comment
Files attached to the comment
Show child attributes
Show child attributes
User who posted the comment
Show child attributes
Show child attributes
Agent who posted the comment
Show child attributes
Show child attributes
Assistant who posted the comment
Show child attributes
Show child attributes
The private note this comment mirrors, when it was written in a conversation
The chat behind the comment: the conversation a note was written in, or the run that answered a tag
Show child attributes
Show child attributes
Activity metadata payload. Discriminated by type, which mirrors the parent activity row type.
- Option 1
- Option 2
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update contact comment
